// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.bulkeditor.input.entitycreator;

import java.util.HashMap;
import java.util.Map;

import eu.etaxonomy.cdm.model.common.Group;
import eu.etaxonomy.taxeditor.annotatedlineeditor.IEntityCreator;

/**
 * @author n.hoffmann
 * @created Mar 9, 2011
 * @version 1.0
 */
public class GroupCreator implements IEntityCreator<Group> {

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.annotatedlineeditor.IEntityCreator#createEntity(java.lang.String)
	 */
	@Override
	public Group createEntity(String text) {
		return createEntity(null, text);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.annotatedlineeditor.IEntityCreator#createEntity(java.lang.Object, java.lang.String)
	 */
	@Override
	public Group createEntity(Object key, String text) {
		return Group.NewInstance(text);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.annotatedlineeditor.IEntityCreator#getKeyLabelPairs()
	 */
	@Override
	public Map<Object, String> getKeyLabelPairs() {
		Map<Object, String> result = new HashMap<Object, String>();
		result.put(Group.class, "Group");
		return result;
	}

	@Override
	public boolean savesEntity() {
		// TODO Auto-generated method stub
		return false;
	}

}
